%define name	kmiditracker
%define version	0.5.13
%define release %mkrel 5

%define __libtoolize /bin/true

Name: 	 	%{name}
Summary: 	Tracker-style music program for softsynths or MIDI
Version: 	%{version}
Release: 	%{release}

Source:		http://www.monasteriomono.org/programs/kmiditracker/%{name}-%{version}.tar.bz2
URL:		http://www.monasteriomono.org/programs/kmiditracker/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick 
BuildRequires:  kdelibs-devel

%description
KMidiTracker is a MIDI Tracker for ALSA similar to FastTracker or Buzz. It only
emulates the tracker part of these applications, since the output is only MIDI
data that can then be used by any kind of synthesizer.

%prep
%setup -q

%build
%configure2_5x --disable-rpath \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Name=KMIDITracker
Comment=MIDI Tracker
Categories=Audio;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/hi32-app-kmiditracker.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/hi32-app-kmiditracker.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/hi32-app-kmiditracker.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS TODO
%{_bindir}/%name
%{_datadir}/applnk/Utilities/%name.desktop
%{_datadir}/apps/%name
%{_datadir}/doc/kde/HTML/en/%name
%{_iconsdir}/hicolor/*/apps/%name.png
%{_datadir}/applications/mandriva-%name.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.13-5mdv2009.0
+ Revision: 247787
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.13-3mdv2008.1
+ Revision: 141873
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import kmiditracker

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.5.13-3mdk
- fix x86_64 build

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.13-2mdk
- Remove redundant Buildrequires

* Thu Oct 06 2005 Austin Acton <austin@mandriva.org> 0.5.13-1mdk
- New release 0.5.13

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.12-1mdk
- New release 0.5.12

* Sat May 22 2004 Austin Acton <austin@mandrake.org> 0.5.5-1mdk
- initial package
